download/panel/minio/update.sh
耗子 3c4da48f2f
Some checks failed
Generate Checksums / checksums (push) Has been cancelled
feat: 新增minio脚本
2025-03-28 21:46:04 +08:00

74 lines
2.3 KiB (Stored with Git LFS)
Bash

#!/bin/bash
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:$PATH
: '
Copyright (C) 2022 - now HaoZi Technology Co., Ltd.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published
by the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.
You should have received a copy of the GNU Affero General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
'
source <(curl -f -s --connect-timeout 10 --retry 3 https://dl.cdn.haozi.net/panel/public.sh)
if [ $? -ne 0 ]; then
echo "下载 public.sh 失败,请检查网络或稍后重试。"
echo "Download public.sh failed, please check the network or try again later."
exit 1
fi
channel=${1}
version=${2}
minio_path="${setup_path}/server/minio"
# 架构判断
if [ ${ARCH} == "x86_64" ]; then
minio_file="minio-${version}-amd64.7z"
elif [ ${ARCH} == "aarch64" ]; then
minio_file="minio-${version}-arm64.7z"
else
error "不支持的架构"
fi
# 下载
cd ${minio_path}
wget --retry-connrefused --retry-on-host-error --retry-on-http-error=429,500,502,503,504 -t 10 -T 120 -O ${minio_path}/${minio_file} ${download_url}/minio/${minio_file}
wget --retry-connrefused --retry-on-host-error --retry-on-http-error=429,500,502,503,504 -t 10 -T 120 -O ${minio_path}/${minio_file}.sha256 ${download_url}/minio/${minio_file}.sha256
if ! sha256sum --status -c ${minio_path}/${minio_file}.sha256; then
error "minio 校验失败"
fi
# 解压
cd ${minio_path}
7z x ${minio_file}
rm -f ${minio_file} ${minio_file}.sha256
# 替换文件
systemctl stop minio
rm -f minio
mv minio-${version}-* minio
if [ ! -f "${minio_path}/minio" ]; then
error "minio 解压失败"
fi
chown -R minio:minio ${minio_path}/minio
chmod -R 700 ${minio_path}/minio
systemctl start minio
if [ "$?" != "0" ]; then
error "启动失败"
fi
panel-cli app write minio ${channel} ${version}
echo -e $HR
echo "升级完成"
echo -e $HR